Page MenuHomePhabricator

Enable the ORES good faith and damaging UI by default, on wikis that have these ORES models available (instead of behind a Beta Feature)
Closed, ResolvedPublic

Description

The ORES good faith and damaging tests are available for use on the wikis below, most of which offer ORES as a beta feature. Enabling ORES by default on these wikis will simplify users' interaction with ORES and the new filtering interface (e.g., users won't have to select both beta options to get all the benefits of the new tools).

  • Portuguese Wikipedia
  • Polish Wikipedia
  • Persian Wikipedia
  • Dutch Wikipedia
  • Polish Wikipedia
  • Russian Wikipedia
  • Turkish Wikipedia
  • Wikidata
  • Czech Wikipedia
  • English Wikipedia

What this means

  • On ORES wikis, ORES for edit review (specifically, the good faith, damaging and revert tests) will be enabled by default. I.e., there will be no ORES beta option.
  • In the future, at such time as new ORES betas are created (for Discover, anti-harrassment, or whatever), those will be new betas. I.e., we are making default ONLY the ORES functions that are currently available and displayed to the public through the existing beta.
  • All users will get the red "R" on review pages that means "may be damaging and should be reviewed." This feature is not intrusive.
  • Existing ORES users will also be migrated automatically to the new beta option, "New Filters for Edit Review."
  • Existing ORES beta users will continue to get the "classic" ORES display, with colored shading, on Watchlist and Contributions.

Stuff that needs to be handled


==Preferences !![all functionality below moved to T159763]!!

~~**Hide probably good edits from recent changes** This Recent Changes option currently appears only after users have selected the ORES beta, and is unselected by default. ~~
- ~~It will now become standard for everyone (still unselected by default)~~
- ~~If it was selected by existing ORES users or is selected by new users, then on the RC page, activate the following filter and display it as a default in the Active Filter Display Area: May have problems.~~
-~~Meanwhile, re-word the preference to align it with the new functionality, like so: "Show only edits that may have problems (and hide probably good edits)."~~

- ~~**Highlight probably damaging edits on Watchlist and Contributions (using ORES)** Add this __new Preference__ to the Watchlist prefs in the "Revision Scoring" section. It turns on classic ORES shading on Watchlist and Contributions. ~~
- ~~For existing ORES users, this will be turned on by default when they are migrated. ~~
- ~~For everyone else, this preference will be off by default. ~~
- ~~It's expected that as we move more pages to the new interface, this preference will control fewer and fewer pages. One day, we'd like to replace "classic" ORES entirely.This preference in no way should be read as committing to supporting this. ~~

- ~~**Ores Sensitivity** The existing subsidiary preference for ORES Sensitivity will be grouped with the new "Highlight probably damaging edits" preference, because it depends on it. It is subsidiary.~~
- ~~It will continue doing whatever it does now, but not for Recent Changes. ~~

Related Objects

StatusAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
OpenNone
ResolvedJohan
ResolvedTrizek-WMF
Resolved jmatazzoni
ResolvedDannyH
ResolvedDannyH
Resolved jmatazzoni
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedTrizek-WMF
Resolved jmatazzoni
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedTrizek-WMF
ResolvedPginer-WMF
Resolved jmatazzoni
ResolvedCatrope
ResolvedPginer-WMF
Resolved jmatazzoni
OpenNone
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
Resolved jmatazzoni
ResolvedCatrope
ResolvedCatrope
ResolvedSBisson
ResolvedHalfak
ResolvedSBisson
ResolvedSBisson
ResolvedSBisson
ResolvedCatrope
ResolvedNone

Event Timeline

Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptFeb 15 2017, 7:04 PM
Trizek-WMF added a comment.EditedFeb 15 2017, 7:05 PM

I've cc-ed some people who can help outreaching that change.

Questions to solve before we send the message:

  • is it possible to totally opt-out that ORES feature?
  • When is the release?

Assigned to @jmatazzoni to draft the message.

Trizek-WMF updated the task description. (Show Details)Feb 15 2017, 7:13 PM

One quick note, ORES review tool is not enabled in cswiki but it will be done this week (if I have some time to make it happen in SWAT).
Practically there is no way to disable ORES in the extension. The extension can be modified in a way to add that very easily. If this is needed, please make a subtask and assign it to me. I get it done.

Trizek-WMF renamed this task from Tell wikis that use ORES being turned as a by-default feature on wikis that have it as a Beta feature to Turn ORES for edit review as a by-default feature on wikis that have it as a Beta feature.Feb 16 2017, 5:29 PM
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF triaged this task as High priority.Feb 16 2017, 5:31 PM

One quick note, ORES review tool is not enabled in cswiki but it will be done this week (if I have some time to make it happen in SWAT).

Thank you for that information. By the time we will follow up with that wiki, they will have it.

Then the question is to know if they need time to have it tested, or if a deployment by default is possible with a few disagreements. @jmatazzoni, @Halfak, thoughts?

Halfak renamed this task from Turn ORES for edit review as a by-default feature on wikis that have it as a Beta feature to Enable the ORES review tool by-default feature on wikis that have it as a Beta feature.Feb 16 2017, 6:11 PM
Halfak renamed this task from Enable the ORES review tool by-default feature on wikis that have it as a Beta feature to Enable the ORES review tool by-default on wikis that have it as a Beta feature.
jmatazzoni renamed this task from Enable the ORES review tool by-default on wikis that have it as a Beta feature to Enable the ORES good faith and damaging models by default on wikis that have ORES as a Beta, and communicate this to the communities.Feb 22 2017, 11:02 PM
Qgil added a subscriber: Qgil.Feb 23 2017, 12:21 PM

This task scheduled for Community-Relations-Support (Jan-Mar 2017) needs an owner. Is that you, @Trizek-WMF?

This task scheduled for Community-Relations-Support (Jan-Mar 2017) needs an owner. Is that you, @Trizek-WMF?

No. That task is covering multiple points. The ongoing discussion is about turning the relevant ORES models by default at the same time as the release of the new RC Filters. That would be covered by T146972: Announce and follow up with communities about the New Filters for Recent changes Beta deployment and sub-tasks. I'm still waiting for a confirmation from @jmatazzoni.

@Trizek-WMF, I'm reworking this task strictly for implementation, and taking out the part about "informing the communities." You should make a separate task for communication. I took out the verbiage that was in the task description relating to "informing." Here it is, below, for your convenience:

  • It won’t effect people that much, except for the red “r”, which can make it black locally if they want to
  • There will be a new preference to turn on highlighting on the non-RC pages that have ORES (Watchlist and Contributions).
  • If you had the highlighting before, you will have it, if you haven’t enabled the Beta feature, you don’t have the highlighting.
  • ...

Steps:

  • Draft a message to be posted on these wikis
  • Decide of a schedule to send a message one week before the release and the day before that change
  • Identify places where to post that message (village pumps - technical ones, patrollers boards...)
jmatazzoni renamed this task from Enable the ORES good faith and damaging models by default on wikis that have ORES as a Beta, and communicate this to the communities to Enable the ORES good faith and damaging models by default on wikis that have these ORES models available. .Feb 25 2017, 1:09 AM
jmatazzoni updated the task description. (Show Details)
Mattflaschen-WMF renamed this task from Enable the ORES good faith and damaging models by default on wikis that have these ORES models available. to Enable the ORES good faith and damaging UI by default, on wikis that have these ORES models available (instead of behind a Beta Feature).Feb 25 2017, 1:25 AM

@Trizek-WMF, I'm reworking this task strictly for implementation, and taking out the part about "informing the communities." You should make a separate task for communication. I took out the verbiage that was in the task description relating to "informing." Here it is, below, for your convenience:

  • It won’t effect people that much, except for the red “r”, which can make it black locally if they want to
  • There will be a new preference to turn on highlighting on the non-RC pages that have ORES (Watchlist and Contributions).
  • If you had the highlighting before, you will have it, if you haven’t enabled the Beta feature, you don’t have the highlighting.
  • ...

Steps:

  • Draft a message to be posted on these wikis
  • Decide of a schedule to send a message one week before the release and the day before that change
  • Identify places where to post that message (village pumps - technical ones, patrollers boards...)

Sure, it will be more clear.

Qgil removed a subscriber: Qgil.Mar 1 2017, 4:34 PM
jmatazzoni closed this task as Resolved.Mar 14 2017, 9:14 PM
jmatazzoni updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This will happen on w/c 26 March.

Trizek-WMF reopened this task as Open.Mar 20 2017, 9:04 AM

This will happen on w/c 26 March.

Wait... It was supposed to be done by rollouts (T146972), to migrate automatically users to the New Filters for Edit Review. What did I missed?

This will happen on w/c 26 March.

Wait... It was supposed to be done by rollouts (T146972), to migrate automatically users to the New Filters for Edit Review. What did I missed?

I think that's what he means.

Trizek-WMF closed this task as Resolved.Mar 21 2017, 12:37 PM
Trizek-WMF claimed this task.

This will happen on w/c 26 March.

Wait... It was supposed to be done by rollouts (T146972), to migrate automatically users to the New Filters for Edit Review. What did I missed?

I think that's what he means.

That's how it has been clarified orally.